<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
MsgBox Method (IEdmUnlockOpCallback)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUnlockOpCallback Interface : MsgBox Method (IEdmUnlockOpCallback)

Visual Basic
C#
C++/CLI

eMsg
  Message to display as defined in EdmUnlockOpMsg

lDocID
  ID of the file that caused the message

lProjID
  ID of the file's parent folder

bsPath
  Full path to the file that caused the message

poError
  EdmUnlockErrInfo structure containing extended information about the error

Called by the check-in operation to display a message box with information or options that the user can choose.

# Syntax

Visual Basic |
--- | ---

    Function MsgBox( _
       ByVal eMsg As EdmUnlockOpMsg, _
       ByVal lDocID As System.Integer, _
       ByVal lProjID As System.Integer, _
       ByVal bsPath As System.String, _
       ByRef poError As EdmUnlockErrInfo _
    ) As EdmUnlockOpReply

C# |
--- | ---

    EdmUnlockOpReply MsgBox(
       EdmUnlockOpMsg eMsg,
       System.int lDocID,
       System.int lProjID,
       System.string bsPath,
       ref EdmUnlockErrInfo poError
    )

C++/CLI |
--- | ---

    EdmUnlockOpReply MsgBox(
    &   EdmUnlockOpMsg eMsg,
    &   System.int lDocID,
    &   System.int lProjID,
    &   System.String^ bsPath,
    &   EdmUnlockErrInfo% poError
    )

#### Parameters

eMsg
  Message to display as defined in EdmUnlockOpMsg
lDocID
  ID of the file that caused the message
lProjID
  ID of the file's parent folder
bsPath
  Full path to the file that caused the message
poError
  EdmUnlockErrInfo structure containing extended information about the error

#### Return Value

Reply to SOLIDWORKS PDM Professional as defined in EdmUnlockOpReply

# Example

See the IEdmUnlockOpCallback examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUnlockOpCallback Interface
IEdmUnlockOpCallback Members

# Availability

SOLIDWORKS PDM Professional Version 6.3